org.richfaces.component

## Class UIMenuItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UIMenuItem

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlMenuItem

      public abstract class UIMenuItem
      extends org.ajax4jsf.component.AjaxActionComponent
      implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, javax.faces.component.ActionSource

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMenuItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getIcon()`
    `abstract java.lang.String` | `getIconDisabled()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getStyleClass()`
    `abstract java.lang.String` | `getSubmitMode()`
    `abstract java.lang.Object` | `getValue()`
    `abstract boolean` | `isDisabled()`
    `abstract void` | `setDisabled(boolean disabled)`
    `abstract void` | `setIcon(java.lang.String icon)`
    `abstract void` | `setIconDisabled(java.lang.String iconDisabled)`
    `abstract void` | `setStyle(java.lang.String style)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`
    `abstract void` | `setSubmitMode(java.lang.String submitMode)`
    `abstract void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionExpression, setActionListener, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxComponent

      `getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

    - ### Methods inherited from interface org.ajax4jsf.event.AjaxSource

      `addAjaxListener, getAjaxListeners, removeAjaxListener`

    - ### Methods inherited from interface javax.faces.component.ActionSource

      `addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMenuItem

          public UIMenuItem()

  - ### Method Detail

    - #### getSubmitMode

          public abstract java.lang.String getSubmitMode()

    - #### setSubmitMode

          public abstract void setSubmitMode(java.lang.String submitMode)

    - #### getValue

          public abstract java.lang.Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UICommand`

    - #### setValue

          public abstract void setValue(java.lang.Object value)

      Overrides:
        `setValue` in class `javax.faces.component.UICommand`

    - #### getIcon

          public abstract java.lang.String getIcon()

    - #### setIcon

          public abstract void setIcon(java.lang.String icon)

    - #### getIconDisabled

          public abstract java.lang.String getIconDisabled()

    - #### setIconDisabled

          public abstract void setIconDisabled(java.lang.String iconDisabled)

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### setDisabled

          public abstract void setDisabled(boolean disabled)

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyle

          public abstract void setStyle(java.lang.String style)

Copyright © 2013. All Rights Reserved.